Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.idntable
Class EPPIdnTableTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.idntable.EPPIdnTableTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPIdnTableTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.idntable package.

Constructor Summary
`EPPIdnTableTst(java.lang.String name)` Creates a new EPPIdnTableTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPIdnTableMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPIdnTableTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testCheckCommand()` Unit test of the IDN Table Check Command with both Domain Check Form and Table Check Form.
`void` | `testCheckResponse()` Unit test of the IDN Table Check Response with both Domain Check Form and Table Check Form.
`void` | `testInfoCommand()` Unit test of the IDN Table Info Command with Domain Info Form, Table Info Form, and List Info Form.
`void` | `testInfoResponse()` Unit test of the IDN Table Info Response with Domain Info Form, Table Info Form, and List Info Form.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPIdnTableTst

    public EPPIdnTableTst(java.lang.String name)

  Creates a new EPPIdnTableTst object.

  Parameters:
    `name` - Name of test

Method Detail

### testCheckCommand

    public void testCheckCommand()

  Unit test of the IDN Table Check Command with both Domain Check Form and Table Check Form.

### testCheckResponse

    public void testCheckResponse()

  Unit test of the IDN Table Check Response with both Domain Check Form and Table Check Form.

### testInfoCommand

    public void testInfoCommand()

  Unit test of the IDN Table Info Command with Domain Info Form, Table Info Form, and List Info Form.

### testInfoResponse

    public void testInfoResponse()

  Unit test of the IDN Table Info Response with Domain Info Form, Table Info Form, and List Info Form.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPIdnTableMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPIdnTableTst`.

  Returns:
    Tests to run

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - Program arguments

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.